Bug 185310 - dbopen should refer to db_185.h, not db.h
dbopen should refer to db_185.h, not db.h
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-03-13 11:29 EST by Henrik Nordstrom
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-14 07:33:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henrik Nordstrom 2006-03-13 11:29:46 EST
Description of problem:

man dbopen

refers to db.h when it should refer do db_185.h which is the db 1.85
compatibility layer provided by DB4. Fedora Core does not ship DB 1.85 which is
what the man page documents..

Maybe a blurb should be added that this man page documents the old legacy db
1.85 interface, and not the actual DB4 interface which documentation can be
found in /usr/share/doc/db4-devel-x.x.x/ (no man pages available, only HTML)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. man dbopen
Actual results:

       #include <db.h>

Expected results:

       #include <db_185.h>

Additional info:
Comment 1 Ivana Varekova 2006-03-14 07:33:55 EST
Thank you for your bug report.
This problem is fixed in man-pages-2.25-1.

Note You need to log in before you can comment on or make changes to this bug.